// Headers
#include "game.h"

const float Game::PLAYER_ANIMATION_DELAY = 100.f;
const float Game::PLAYER_ANIMATION_DELAY_SLOW = 160.f;

// Running speed of the player        
const float Game::RUN_SPEED = 180.f;

// Speed when walking backward
const float Game::BACKWARD_SPEED = 100.f;

const float Game::FLOOR_HEIGHT = 520.f;

const float Game::ARM_ROTATION_CENTER_X = 63.f;
const float Game::ARM_ROTATION_CENTER_Y = 97.f;

const float Game::MAX_AIM_ANGLE = 30.f;
const float Game::MIN_AIM_ANGLE = -30.f;

const float Game::RECOIL_ANGLE = 5.f;

const float Monster::ANIMATION_DELAY = 60.f;
const float Monster::MIN_SPEED = 60.f;
const float Monster::MAX_SPEED = 80.f;
const float Monster::SUPER_SPEED = 140.f;

const float Portal::ROTATION_AMOUNT = 20.f;

int main() 
{  
        Game myGame(800, 600, 32, sf::Style::Fullscreen, "Monsters Wake");

        // Run the game
        myGame.gameMain();

        return EXIT_SUCCESS; 
}
